Package com.google.javascript.jscomp.webservice.common

# Class AbstractWebServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.google.javascript.jscomp.webservice.common.AbstractWebServiceException

All Implemented Interfaces:
  `Serializable`

public abstract class AbstractWebServiceException extends Exception
All the exceptions that can be returned as error to the client of the API.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbstractWebServiceException()`

## Method Summary

Modifier and Type
Method
Description
`abstract ErrorCode`
`getErrorCode()`
`abstract String`
`getFormattedError()`
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractWebServiceException

public AbstractWebServiceException()

## Method Details

### getErrorCode

public abstract ErrorCode getErrorCode()

### getFormattedError

public abstract String getFormattedError()

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`